<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title> Serial Tango Class User&lsquo;s Guide </title>
</head>
<body text="Black" bgcolor="White" link="Blue" vlink="Purple" alink="Red">
<table border="0" width="100%" cellspacing="0" cellpadding="0" >
    <td align="center">
        <a href="http://www.esrf.fr/" target=new>
            <IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" border=0 Height="40"></a>
    </td>
    <td align="center">
        <a href="http://www.elettra.trieste.it/" target=new>
            <IMG SRC="http://www.esrf.fr/computing/cs/tango/elettra_logo.gif" border=0 Height="40"></a>
    </td>
    <td align="center">
        <a href="http://www.synchrotron-soleil.fr/" target=new>
            <IMG SRC="http://www.esrf.fr/computing/cs/tango/soleil_logo.gif" border=0 Height="40"></a>
    </td>
    <td align="center">
        <a href="http://www.cells.es/" target=new>
            <IMG SRC="http://www.esrf.fr/computing/cs/tango/alba.jpg" border=0 Height="27"></a>
    </td>
    <td align="center">
        <a href="http://www.tango-controls.org/" target="_top">
           <img src="http://www.tango-controls.org/logo.jpg" alt=""  height="35" /></a>
    </td>
    <td align="center">
        <a href="http://www.desy.de/html/home/index_eng.html" target=new>
            <IMG SRC="http://www.esrf.fr/computing/cs/tango/desy.gif" border=0 Height="30"></a>
    </td>
    <td align="center">
        <a href="http://www.maxlab.lu.se/maxlab/max4/index.html" target=new>
            <IMG SRC="http://www.esrf.fr/computing/cs/tango/maxlab.gif" border=0 Height="27"></a>
    </td>
    <td align="center">
        <a href="http://www.frm2.tum.de/en/index.html" target=new>
            <IMG SRC="http://www.esrf.fr/computing/cs/tango/frm-2.jpg" border=0 Height="28"></a>
    </td>
</table>
<hr>
<br>
<center><h2><u><b> Serial Tango Python Class </b></u></h2></center>	<br><br>
	<ul>
		<font size="+1"><u><b> Contents : </b></u></font>
		<ul>
			<li> <a href="FullDocument.html#description">  Description  </a>
			<li> <a href="FullDocument.html#properties">   Properties   </a>
			<li> <a href="FullDocument.html#commands">     Commands     </a>
			<ul>
				<li> <a href="FullDocument.html#cmdState"> State </a>
				<li> <a href="FullDocument.html#cmdStatus"> Status </a>
				<li> <a href="FullDocument.html#cmdDevSerFlush"> DevSerFlush </a>
				<li> <a href="FullDocument.html#cmdDevSerreadRaw"> DevSerreadRaw </a>
				<li> <a href="FullDocument.html#cmdDevSerWriteString"> DevSerWriteString </a>
			</ul>
			<li> <a href="FullDocument.html#attributes">   Attributes   </a>
			<ul>
				<li> <a href="FullDocument.html#attrSimulateSerialFail"> SimulateSerialFail </a>
			</ul>
			<li> <a href="FullDocument.html#states">       States       </a>
		</ul>
	</ul>
	<hr>
<br><br>
<a name="description"> </a>
<ul>
	<br><br><br>
	<table border="0" width="100%">
		<Tr>
			<td> <font size="+1"><u><b> Serial Class Identification : </b></u></font> </td>
			<td> <font size="+1"><u><b> Serial Class Inheritance : </b></u></font> </td>
		</tr>
		<td><ul>
			<table border="0">
				<Tr>
					<td> Contact </td><td> : at cells.es - sblanch</td>
				</tr>
				<tr>
					<td> Class Family </td><td> : Simulators
				</tr>
				<tr>
					<td> Platform </td><td> : All Platforms </td>
				</tr>
				<tr>
					<td> Bus </td><td> : Not Applicable </td>
				</tr>
				<tr>
					<td> Manufacturer </td><td> : none </td>
				</tr>
				<tr>
					<td> Manufacturer ref.</td><td> :  </td>
				</tr>
			</Table>
		</ul></td>
		<td>
			<ul><li> <a href="http://www.esrf.fr/computing/cs/tango/tango_doc/kernel_doc/" target="new"> Tango::DeviceImpl</a></li>
			<ul> <li> Serial</li>
			<br>
			<br>
			<br>
			<br>
			<br>
		</td>
	</Table>
	<br><br><br>
	<font size="+1"><u><b> Serial Class Description : </b></u></font>
	<br><br>
	<ul>
		This device has been developed to prepare a testbench for Danfysik 9100 device server.
		
		<!---  /*PROTECTED REGION ID(FullDocument.html) ENABLED START*/  --->
			<!--- Add your own documentation, pictures, links,.... --->
			
		<!---  /*PROTECTED REGION END*/  --->
		
	</ul>
</ul>
<br><br>
<hr>
<a name="properties"> </a>
<br><br><br>
<font size="+1"><u><b> Serial  Properties : </b></u></font>
<br><br><br>
<font size="+1"><u><b> There is no class properties </b></u></font>
<br><br><br>
<font size="+1"><u><b> There is no device properties </b></u></font>
<br><br>
<hr>
<a name="commands"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=5> <font size=+1> <center><b> Serial Class Commands </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Input type </b></center> </td>
		<td> <center><b> Output type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="CmdState.html"> State </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STATE </td>
		<td> OPERATOR </td>
		<td> This command gets the device state (stored in its device_state data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdStatus.html"> Status </a> </td>
		<td> DEV_VOID </td>
		<td> CONST_DEV_STRING </td>
		<td> OPERATOR </td>
		<td> This command gets the device status (stored in its device_status data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdDevSerFlush.html"> DevSerFlush </a> </td>
		<td> DEV_LONG </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> None. </td>
	</tr>
	<tr>
		<td> <a href="CmdDevSerreadRaw.html"> DevSerreadRaw </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> None. </td>
	</tr>
	<tr>
		<td> <a href="CmdDevSerWriteString.html"> DevSerWriteString </a> </td>
		<td> DEV_STRING </td>
		<td> DEV_LONG </td>
		<td> OPERATOR </td>
		<td> None. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdState"> </a>
<br><br><br>
<font size="+1"><u><b> Command State : </b></u></font>
<ul>
	This command gets the device state (stored in its device_state data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> State Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STATE </td>
		<td> Device state </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStatus"> </a>
<br><br><br>
<font size="+1"><u><b> Command Status : </b></u></font>
<ul>
	This command gets the device status (stored in its device_status data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Status Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::CONST_DEV_STRING </td>
		<td> Device status </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdDevSerFlush"> </a>
<br><br><br>
<font size="+1"><u><b> Command DevSerFlush : </b></u></font>
<ul>
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> DevSerFlush Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_LONG </td>
		<td> flush to do 0=input 1=output 2=both </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td>  </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdDevSerreadRaw"> </a>
<br><br><br>
<font size="+1"><u><b> Command DevSerreadRaw : </b></u></font>
<ul>
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> DevSerreadRaw Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td>  </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> pointer to the string read updated </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdDevSerWriteString"> </a>
<br><br><br>
<font size="+1"><u><b> Command DevSerWriteString : </b></u></font>
<ul>
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> DevSerWriteString Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> String to write </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_LONG </td>
		<td> Number of characters written </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br>
<hr>
<a name="attributes"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=8> <font size=+1> <center><b> Serial Class Attributes </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Inherited </b></center> </td>
		<td> <center><b> Abstract </b></center> </td>
		<td> <center><b> Attr. type </b></center> </td>
		<td> <center><b> R/W type </b></center> </td>
		<td> <center><b> Data type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="AttrSimulateSerialFail.html"> SimulateSerialFail </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ_WRITE </td>
		<td> Tango::DEV_BOOLEAN </td>
		<td> OPERATOR </td>
		<td>  </td>
	</tr>
</table>
<br><br>
<hr>
<br><br>
<font size="+1"><u><b> There is no dynamic attribute defined. </b></u></font>
<br><br>
<hr>
<a name="attrSimulateSerialFail"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute SimulateSerialFail : </b></u></font>
<ul>
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ_WRITE </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_BOOLEAN </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> true </td>
				</tr>
				<tr>
					<td> Write hardware at init. </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
				<tr>
					<td> Write allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td>  </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<br><br>
<hr>
<a name="states"> </a>
<br><br><br><br>
<font size="+1"><u><b> There is no state defined </b></u></font>
</body>
</html>
